콘텐츠로 건너뛰기

Kling Image · v3 · Text to Image

통합

모델 id kling-image/v3/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/v3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: $0.028 28 API 크레딧 이 페이지에서 실행

API 키 받기
Kling 텍스트를 이미지로 참조 입력최대 2K #text-to-image

네거티브 프롬프트와 요소 기반 얼굴 제어를 지원하는 1K 또는 2K v3 텍스트-이미지

Doitong에서 제작됨

Doitong 커뮤니티가 Kling Image로 만든 공개 작품입니다. 한 번의 클릭으로 프롬프트를 재사용하세요.

표시된 공개 작품: 16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... 동영상

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 동영상

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... 동영상

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

A five-second orbital camera move circling completely around a red-haired woman in a yellow rainc... 동영상

A five-second orbital camera move circling completely around a red-haired woman in a yellow raincoat standing in an autumn forest holding a vintage lantern, she remains stationary facing forward while the camera circles 180 degrees from her left side to her right side at eye level, golden fallen...

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a w... 동영상

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a wooden cutting board in a bright kitchen, camera suddenly swings in a rapid blur motion panning right at high speed creating motion blur, ending sharply focused on a barista pouring latte art in a...

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수 88 / 2500

최대 2500자로 제한된 이미지 생성 프롬프트입니다.

resolution 기본값 1K

출력 이미지 해상도입니다. 표준 해상도에는 1K, 고해상도에는 2K를 사용합니다.

aspect_ratio 기본값 16:9

생성할 이미지의 가로세로 비율입니다.

num_images 기본값 1

출력 이미지 수로, 1에서 9까지입니다.

고급 negative_prompt · output_format · enable_safety_checker · elements
0 / 2500

이 네거티브 프롬프트로 원치 않는 콘텐츠를 지정합니다. 권장 방식은 긍정 프롬프트 안에 제외 항목을 부정문으로 작성하는 것입니다.

output_format 기본값 png

결과 이미지의 파일 형식입니다.

얼굴 제어를 위한 선택적 컬렉션입니다. 각 항목에 정면 이미지와 선택적 참조 이미지를 사용할 수 있습니다. 항목은 이미지에 표시할 캐릭터나 객체를 설명합니다.

POST /run/kling-image/v3/text-to-image?wait=20 견적 → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/v3/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Kling Image · v3 · Text to Image 정보

최대 2500자의 프롬프트에서 1-9개 이미지를 생성하며 `negative_prompt`로 원하지 않는 콘텐츠가 생성되지 않도록 선택적으로 유도할 수 있습니다. `resolution`은 1K 또는 2K이고 `aspect_ratio`는 21:9를 포함한 8가지 비율을 제공합니다. `elements`에는 정면 이미지와 일관된 얼굴을 위한 선택적 참조 이미지를 지정합니다. 출력은 jpeg, png 또는 webp입니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
prompt필수
유형string
≤ 2,500자
최대 2500자로 제한된 이미지 생성 프롬프트입니다.
negative_prompt선택 사항
유형string | null
≤ 2,500자
이 네거티브 프롬프트로 원치 않는 콘텐츠를 지정합니다. 권장 방식은 긍정 프롬프트 안에 제외 항목을 부정문으로 작성하는 것입니다.
elements선택 사항
유형object[]
얼굴 제어를 위한 선택적 컬렉션입니다. 각 항목에 정면 이미지와 선택적 참조 이미지를 사용할 수 있습니다. 항목은 이미지에 표시할 캐릭터나 객체를 설명합니다.
elements[].frontal_image_url선택 사항
유형url · image
요소의 기본 정면 모습을 제공하는 선택적 이미지입니다. 파일 크기는 10.0 MB를 초과할 수 없고, 너비와 높이는 각각 300px 이상이며 가로세로 비율은 0.40에서 2.50 사이여야 합니다.
elements[].reference_image_urls선택 사항
유형url[] · image
다른 각도를 보여 주는 0–3개의 추가 이미지로 구성된 선택적 세트입니다. 각 파일은 10.0 MB 이하여야 하고, 너비와 높이는 각각 300px 이상이며 가로세로 비율은 0.40에서 2.50 사이여야 합니다.
resolution선택 사항
유형enum
기본값1K
1K2K
출력 이미지 해상도입니다. 표준 해상도에는 1K, 고해상도에는 2K를 사용합니다.
num_images선택 사항 num_outputs
유형integer
기본값1
1 – 9
출력 이미지 수로, 1에서 9까지입니다.
aspect_ratio선택 사항
유형enum
기본값16:9
16:99:161:14:33:43:22:321:9
생성할 이미지의 가로세로 비율입니다.
output_format선택 사항
유형enum
기본값png
jpegpngwebp
결과 이미지의 파일 형식입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/v3/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
images
array of object {url, content_type, file_name, file_size, width, height}모델이 생성한 이미지입니다.

더 많은 모델: 텍스트를 이미지로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/kling-image/v3/text-to-image.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt